LINUX.ORG.RU

pf-kernel 3.7.1 на kubuntu 12.04

 , ,


0

1

Ядро установил, ошибок вроде не было. Но с headers вышла проблема:

ERROR (dkms apport): kernel package linux-headers-3.7.1-pf is not supported

Error! Bad return status for module build on kernel: 3.7.1-pf (i686)

Consult /var/lib/dkms/nvidia-experimental-310/310.14/build/make.log for more information.
Тот самый make.log: http://pastebin.com/LDR7QrhM

Как лечить?

Ответ на: комментарий от nutsandmilk

Соберите ядро из исхоников и, можете заодно собрать deb пакеты, но кроме пакета с ядром соберите и пакет с заголовочными файлами, поищите в Internet, есть официальная инструкция (метод) для Debian / Ubuntu как собирать deb пакеты с ядром и заголовочными файлами.

kostik87 ★★★★★ ()
Ответ на: комментарий от nutsandmilk

Как лечить?

Удаляешь пакеты драйверов невидии. Скачиваешь bin с офсайта невидии и устанавливаешь.

bhfq ★★★★★ ()

Проблема с нвидией, очевидно. Потом, когда 310.14 был experimental? Радикально, снести пакет и поставить блоб руками. Кстати, откуда он? Из какого-нибудь ppa?

tyakos ★★★ ()
Ответ на: комментарий от tyakos

sudo apt-get install nvidia-experimental-310

Если использовать current, то ставится 295.

nutsandmilk ★★★ ()
Ответ на: комментарий от bhfq

Ну тогда он должен был прочитать то, что ему предложено сделать, что бы «пофиксить» ошибку:

...
test -e include/generated/autoconf.h -a -e include/config/auto.conf || (                \
        echo >&2;                                                       \
        echo >&2 "  ERROR: Kernel configuration is invalid.";           \
        echo >&2 "         include/generated/autoconf.h or include/config/auto.conf are missing.";\
        echo >&2 "         Run 'make oldconfig && make prepare' on kernel src to fix it.";      \
        echo >&2 ;                                                      \
        /bin/false)
...

kostik87 ★★★★★ ()
Ответ на: комментарий от nutsandmilk

Попробовал поставил с http://pf.natalenko.name/binaries/ubuntu/3.7.1/
linux-image-3.7.1-pf_1_i386.deb
linux-headers-3.7.1-pf_1_i386.deb
и nvidia с ppa который выше приводил (xorg-edgers).

Всё работает, только чего-то не заметно, что шустрее стало.

убить nouveau

$ cat /etc/modprobe.d/nouveau.conf
blacklist nouveau

amorpher ★★★★★ ()
Последнее исправление: amorpher (всего исправлений: 1)
Ответ на: комментарий от nutsandmilk

Теперь качаю блоб

Давай и дальше помойку разводи
Делается всё в несколько кликов мышки.

amorpher ★★★★★ ()

Вот нафейхоа лезть ставить кастомные ядра, если разобраться в этом не в состоянии. Чем ядро из репов не устроило то? Мифический «15%+ ускорение работы»? Тогда ССЗБ

Atheist ★★★ ()
Ответ на: комментарий от nutsandmilk
[    78.565] (II) LoadModule: "nvidia"
[    78.566] (WW) Warning, couldn't open module nvidia
[    78.566] (II) UnloadModule: "nvidia"
[    78.566] (II) Unloading nvidia
[    78.566] (EE) Failed to load module "nvidia" (module does not exist, 0)
[    78.566] (II) LoadModule: "nouveau"

[ 78.566] (EE) Failed to load module «nvidia» (module does not exist, 0)

bhfq ★★★★★ ()
Последнее исправление: bhfq (всего исправлений: 2)
Ответ на: комментарий от nutsandmilk

amorpher [ ~ ]$ uname -a
Linux xxx 3.7.1-pf #9 SMP Sun Dec 30 11:10:47 UTC 2012 i686 i686 i386 GNU/Linux
amorpher [ ~ ]$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 12.04.1 LTS
Release: 12.04
Codename: precise
amorpher [ ~ ]$ optirun glxgears
3564 frames in 5.0 seconds = 712.637 FPS
3672 frames in 5.0 seconds = 734.347 FPS
[VGL] ERROR: in readback--
[VGL] 246: Window has been deleted by window manager
amorpher [ ~ ]$ primusrun glxgears
304 frames in 5.0 seconds = 60.672 FPS
300 frames in 5.0 seconds = 59.942 FPS
XIO: fatal IO error 11 (Resource temporarily unavailable) on X server ":0"
after 644 requests (644 known processed) with 0 events remaining.
amorpher [ ~ ]$ glxinfo | grep -i opengl
OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) Sandybridge Mobile x86/MMX/SSE2
OpenGL version string: 3.0 Mesa 9.1-devel
OpenGL shading language version string: 1.30
OpenGL context flags: (none)
OpenGL extensions:
amorpher [ ~ ]$ optirun glxinfo | grep -i opengl
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce GT 540M/PCIe/SSE2
OpenGL version string: 4.3.0 NVIDIA 313.09
OpenGL shading language version string: 4.30 NVIDIA via Cg compiler
OpenGL context flags: (none)
OpenGL profile mask: (none)

//неудачник :)

amorpher ★★★★★ ()
Последнее исправление: amorpher (всего исправлений: 1)
Ответ на: комментарий от nutsandmilk

нехер было с сайта nvidia.run ставить, просто добавить 1 (один) ппа и установить 2 (два) пакета это конечно не генту собирать, да

amorpher ★★★★★ ()
Ответ на: комментарий от nutsandmilk

Компьютер слабенький, привлекло 15%+ ускорение работы

ты просто идеальный подопытный для маркетологов

xtraeft ★★☆☆ ()
Ответ на: комментарий от bhfq

Да почему, не знаю как с pf, но bfs + bfq плюс настройка ядра дает где то 10-15 %

nirolov ()
Ответ на: комментарий от tyakos

То, что нвидиа фейлится собираться со свежими ядрами, меня волнует почти никак.

А кто тут кричит о производительности — сначала расскажите, как вы её меряете. А я посмеюсь.

post-factum ★★★★★ ()
Ответ на: комментарий от nutsandmilk

Вообще, если так хочется, то лучше так сделать:

sudo apt-add-repository ppa:ubuntu-toolchain-r/test
(gcc-4.7 нужна новому ядру будет)

sudo su -c «echo 'deb http://liquorix.net/debian sid main' | sudo tee /etc/apt/sources.list.d/liquorix.list»

sudo apt-get update && sudo apt-get install '^liquorix-([^-]+-)?keyring.?'

sudo apt-get install linux-image-liquorix-686
(linux-headers-liquorix по зависимостям должен потянуть)

amorpher ★★★★★ ()
Ответ на: комментарий от post-factum

Сейчас особого профита от пакетов нет, так как в большом количестве случаев оно не работает/вылезают косяки/баги, а автора это «волнует почти никак». Легче собрать руками.

tyakos ★★★ ()
Ответ на: комментарий от post-factum

Если оно и на ванильном не собирается — нет, конечно. Но в любом случае, я думаю, было бы неплохо вывесить где-то короткий список возможных, подтвержденных(?) проблем, с которыми пользователи могут столкнуться.

tyakos ★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.